Bug 186653 - Evolution does not print email bodies
Evolution does not print email bodies
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
6
i386 Linux
low Severity high
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-24 19:46 EST by Dimi Paun
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 09:39:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The email source, as raw text (3.80 KB, text/plain)
2006-03-24 19:46 EST, Dimi Paun
no flags Details
A screenshot of the email as is displayed by Evolution. (36.70 KB, image/png)
2006-03-24 19:48 EST, Dimi Paun
no flags Details
A screenshot of the Print Preview window (22.78 KB, image/png)
2006-03-24 19:51 EST, Dimi Paun
no flags Details

  None (edit)
Description Dimi Paun 2006-03-24 19:46:43 EST
Description of problem:
Evolution does not print email bodies, regardless if it's
HTML or text email. Also, Print Preview shows an empty
body as well.

Version-Release number of selected component (if applicable):
2.6.0

How reproducible:
Every time.

Steps to Reproduce:
1. Try to print any email
2. Only the headers will print, together with all the pages,
   alas the pages are empty (however they do have the page number printed).
  
Additional info:
I've attached screenshots with the email window, the print preview,
as well as the raw text of the message.
Comment 1 Dimi Paun 2006-03-24 19:46:43 EST
Created attachment 126682 [details]
The email source, as raw text
Comment 2 Dimi Paun 2006-03-24 19:48:49 EST
Created attachment 126683 [details]
A screenshot of the email as is displayed by Evolution.
Comment 3 Dimi Paun 2006-03-24 19:51:08 EST
Created attachment 126684 [details]
A screenshot of the Print Preview window

It clearly shows the empty body, while
the headers of the email, as well as the
footer of the page, are printed just fine.

This is exactly what comes out on the printer.
Comment 4 Dave Malcolm 2006-03-27 12:23:46 EST
Thanks for this report.

Which version of gtkhtml3 ?
Comment 5 Dimi Paun 2006-03-27 12:51:15 EST
It's a brand new FC5:

[dimi@dimi ~]$ rpm -q gtkhtml3
gtkhtml3-3.10.0-1

Comment 7 Matthew Barnes 2006-05-15 11:42:59 EDT
Dimitrie, sorry this bug has been in limbo so long.

I'm unable to reproduce this on the current Fedora Rawhide, using
evolution-2.7.1-1 and gtkhtml3-3.10.1-2.

Are you still seeing this behavior on Fedora Core 5?
Comment 8 Dimi Paun 2006-05-17 00:17:58 EDT
Yes, I am running an up-to-date FC5, but I have the following versions installed:
[root@dimi dimi]# rpm -q evolution gtkhtml3
evolution-2.6.1-1.fc5.2
gtkhtml3-3.10.1-1.fc5.1

Not sure why you have different versions, but these are the latest yum gets for
me as of today.

One more data point: Print Preview (and I assume printing too) works for HTML
mail, but it doesn't work for regular text mail (which is the bulk of what I get
anyway).

Comment 9 Russell Harrison 2006-05-18 17:15:58 EDT
I'm also having this problem.  It seems that several people have been posting
the same issue to mailing lists.  I'm running the same versions of evolution and
gtkhtml3 as Dimitrie.
Comment 10 Dimi Paun 2006-09-06 16:35:44 EDT
There hasn't been any progress on this unfortunately.
It is a big, big problem to not be able to print from
the main email program in Gnome. It should be a FC6 blocker.

BTW, I have noticed that I *can* print HTML emails.
What *doesn't* work are plain text emails -- for those
only the header/footer are printed, as previously
reported.
Comment 11 Matthew Barnes 2006-09-06 16:52:33 EDT
Try upgrading to Evolution 2.8, in Rawhide now and slated for Fedora Core 6.
I've had no trouble printing emails, whether HTML or plain text.

I'm afraid Evolution 2.6 in Fedora Core 5 will probably not see any more updates.
Comment 12 Matthew Barnes 2006-10-25 12:41:35 EDT
As of yesterday, Evolution 2.6 is no longer supported in Fedora Core 5.
Can you please try again with Evolution 2.8 in Fedora Core 6?
Comment 13 Dimi Paun 2006-11-21 15:23:03 EST
I've updated to FC6, but the same bug is present there as well.

I am using the Microsoft webfonts, and in particular the Tahoma
font. If I switch to a DejaVu font, problem goes away.
Comment 14 Matthew Barnes 2007-10-04 20:39:49 EDT
Is this problem still present in Fedora 8 Test 2 or later?
Comment 15 Matěj Cepl 2007-11-05 14:54:03 EST
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 16 Dimi Paun 2007-11-05 20:33:41 EST
Please be reasonable -- I'm not going to upgrade my system to a Test release
just to test this bug. 
Comment 17 Matthew Barnes 2007-11-07 22:25:47 EST
Putting this back in NEEDINFO state.
Comment 18 Matěj Cepl 2007-12-10 16:48:33 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Evolution.
If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 19 Matěj Cepl 2008-01-15 09:39:22 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}

Note You need to log in before you can comment on or make changes to this bug.